package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4E0 extends MwfRequest<MWF4E0, MWF4E0Response> {

    @Parameter(name = "ApplicationKey")
    MWF4E0 applicationKey(Long applicationKey);
    @Parameter(name = "ClientCif")
    MWF4E0 clientCif(String clientCif);
    @Parameter(name = "Data")
    MWF4E0 data(java.util.List<MWF4E0Data> data);
    @Parameter(name = "DocumentCardType")
    MWF4E0 documentCardType(String documentCardType);
    @Parameter(name = "DocumentFileType")
    MWF4E0 documentFileType(String documentFileType);
    @Parameter(name = "DocumentItemType")
    MWF4E0 documentItemType(String documentItemType);
    @Parameter(name = "DocumentType")
    MWF4E0 documentType(String documentType);
}
